﻿screen debugTools:
    hbox:        
        xalign 0.0
        yalign 1.0
        button:
            text "X"
            action Quit(confirm=False)
        button:
            text "R"
            action ui.callsinnewcontext("_save_reload_game")
           
screen card:
    if card:
        imagebutton:
            idle (im.AlphaMask(im.Scale('img/%s.jpg'%card,1772,1181),'mask.png'))
            hover (im.AlphaMask(im.Scale('img/%s.jpg'%card,1772,1181),'mask.png'))
            action Return(False)
        add('frame.png')
        
        text ('{font=fonts/BKANT.ttf}{size=+46}{color=%s}%s{/color}{/size}{/font}'%(silver,c[card]['name'])) align (0.5,0.025)
        
        frame background Frame('ability.png',10,10) align(c[card]['passive_align'][0],c[card]['passive_align'][1]):
            style "window"
            xfill False
            has vbox
            text ('{font=fonts/Rubius.ttf}{size=+%d}{color=%s}{i}%s{/i}{/color}{/size}{/font}'%(c[card]['size'],c[card]['color'],c[card]['passive_header'])) align (0.5,0.5) xmaximum 500
            null height 10
            hbox align (0.5,0.5):
                add(im.FactorScale('planeswalker.png',0.2))
                null width 20
                text ('{font=fonts/Rubius.ttf}{size=+%d}{color=%s}%s{/color}{/size}{/font}'%(c[card]['size'],c[card]['color'],c[card]['passive'])) align (0.5,0.5) xmaximum 500
            
        frame background Frame('ability.png',25,25) align(c[card]['active_align'][0],c[card]['active_align'][1]):
            style "window"
            xfill False
            has vbox
            text ('{font=fonts/Rubius.ttf}{size=+%d}{color=%s}{i}%s{/i}{/color}{/size}{/font}'%(c[card]['size'],c[card]['color'],c[card]['active_header'])) align (0.5,0.5) xmaximum 500
            null height 10
            hbox align (0.5,0.5): 
                text ('{font=fonts/Rubius.ttf}{size=+%d}{color=%s}%s{/color}{/size}{/font}'%(c[card]['size'],c[card]['color'],c[card]['active'])) align (0.5,0.5) xmaximum 500
                null width 20
                add(im.FactorScale('chaos.png',0.2))
            
        frame background Frame(im.Alpha('meta.png',0.5),25,25) align(0.15,0.98):
            top_padding 40
            bottom_padding 30
            right_padding 40
            left_padding 40     
            text ('{font=fonts/adventure.ttf}{color=%saa}%s{/color}{/font}'%(silver,card))         

        frame background Frame(im.Alpha('meta.png',0.5),25,25) align(0.5,0.98):
            top_padding 40
            bottom_padding 30
            right_padding 40
            left_padding 40
            text ('{font=fonts/adventure.ttf}{color=%saa}%s{/color}{/font}'%(silver,c[card]['plane']))   
            
        frame background Frame(im.Alpha('meta.png',0.5),10,10) align(0.85,0.98):
            top_padding 40
            bottom_padding 30
            right_padding 40
            left_padding 40
            text ('{font=fonts/adventure.ttf}{color=%s88}%s{/color}{/font}'%(silver,c[card]['index'])) 
            
    else:
        hbox align (0.5,0.5):
            box_wrap True
            for key in c:
                textbutton ("%s"%key):
                    xmaximum 300
                    ymaximum 50
                    xfill True
                    yfill True
                    action Return(key)
        
        frame align (0.5,1.0):
            use debugTools 
        

    
 
    
label main_menu:
    $Start()
    
label start:
    # show screen debugTools 
    $card = None
    show screen card
    python:
        while True:
            card = ui.interact()
    return
